﻿Imports MessagingToolkit.QRCode.Codec
Imports MessagingToolkit.QRCode.Codec.Data

Public Class Form1

    Private Sub btnGerarQRCode_Click(sender As Object, e As EventArgs) Handles btnGerarQRCode.Click
        If Not String.IsNullOrWhiteSpace(txtUrl.Text) Then
            Try
                Dim url As String = txtUrl.Text
                Dim qrencod As New QRCodeEncoder()
                Dim qrcode As Bitmap = qrencod.Encode(url)
                tamanhoNormaldoForm()
                picImagem.Image = TryCast(qrcode, Image)
            Catch ex As Exception
                MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End Try
        Else
            MessageBox.Show("Informe uma texto para gerar o QRCode", "Aviso", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
    End Sub

    Private Sub btrnSalvarQRCode_Click(sender As Object, e As EventArgs) Handles btrnSalvarQRCode.Click
        If Not IsNothing(picImagem.Image) Then
            Try
                tamanhoNormaldoForm()
                Dim sfd As New SaveFileDialog()
                sfd.InitialDirectory = "c:\QrCode\"
                sfd.Filter = "PNG | *.png| JPEG| *.jpg | BMP| *.bmp"
                If sfd.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
                    picImagem.Image.Save(sfd.FileName)
                End If
            Catch ex As Exception
                MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End Try
        Else
            MessageBox.Show("Não existem imagem QRCode", "Aviso", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If
    End Sub

    Private Sub btnLerQRCode_Click(sender As Object, e As EventArgs) Handles btnLerQRCode.Click
        If Not IsNothing(picImagem.Image) Then
            Try
                Me.Width = 692
                Me.Height = 352
                Dim decoder As New QRCodeDecoder()
                txtQrCode.Text = decoder.Decode(New QRCodeBitmapImage(TryCast(picImagem.Image, Bitmap)))
            Catch ex As Exception
                MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End Try
        Else
            MessageBox.Show("Selecione a imagem QRCode para decodificar", "Aviso", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End If

    End Sub
    Private Sub btnCarregarQRCode_Click(sender As Object, e As EventArgs) Handles btnCarregarQRCode.Click
        Try
            tamanhoNormaldoForm()
            Dim ofd As New OpenFileDialog()
            ofd.InitialDirectory = "c:\QrCode\"
            If ofd.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
                picImagem.ImageLocation = ofd.FileName
            End If
        Catch ex As Exception
            MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        tamanhoNormaldoForm()
    End Sub
    Private Sub tamanhoNormaldoForm()
        Me.Width = 499
        Me.Height = 352
    End Sub

    Private Sub btnSair_Click(sender As Object, e As EventArgs) Handles btnSair.Click
        Me.Close()
    End Sub
End Class
